# njueeexam 南京大学电子学院本科生试卷模板

本项目是南京大学电子学院本科生考试试卷的LaTex模板

## Table of Contents

- [Install](#install)
- [Usage](#usage)
- [Maintainers](#maintainers)
- [Contributing](#contributing)
- [License](#license)

## Install

```
git clone https://git.nju.edu.cn/njuEE/njueeexam.git
```

## Usage

继承了[exam模板](https://texdoc.org/serve/exam/0)，用法类似。（说明书咕咕咕）

首先需要配置相关考试信息

```latex
\documentclass[12pt]{njuEEexam}
% 定义考试科目
\examclass{摸鱼学导论}
% 定义AB卷
\examAB{A}
% 定义学年
\examterm{2021-2022}
% 定义学期
\examyear{二}
% 定义期中/期末
\examnum{期末}
% 定义考试日期
\examdate{2022年6月23日}
% 定义考试时间，单位为小时
\examlen{2}
% 开/闭卷
\examtype{闭卷}
```

在正文中使用`\maketitle`生成试卷头，使用`\makegradetable`生成评分表。然后进入`questions`环境。
```latex
\begin{document}

\maketitle

\makegradetable

\noindent
% \rule[2ex]{\textwidth}{2pt}

\begin{questions}

    % \hquestion[score][problem]可以定义黑体加大的题目
    % \hquestion[20]{选择填空}

    % \bquestion[score][problem]可以定义粗体的题目
    \bquestion[20]{选择填空}

    % \question[20]{选择填空}

    \begin{parts}

        \part 学院的全称是\fillin[电子科学与工程学院][6cm]。

    \end{parts}
\end{questions}
```

详细的模板代码可以见`test.tex`文件。效果如下：

![](output1.png)

![](output2.png)

![](output3.png)




## Maintainers

[@awesomeEE](https://git.nju.edu.cn/awesomeee)

Mail: s_lyu@smail.nju.edu.cn

## Contributing

PRs accepted.


## License

MIT © 2022 
